HomeGuidesAPI ReferenceChangelog
Terms of Use
API Reference

Charge Point / Update

Update a charge point

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required
Body Params
string
string | null

OCPP Identifier

string
enum
Allowed:
string | null
string | null

required for ocpp 1.5 (SOAP)

string | null

required for ocpp 1.5 (SOAP)

string
enum
Allowed:
boolean

Enable this flag if you the CP is configured in plug and charge mode, it automatically starts a session when a car is plugged in, and the ID tag should not be authorized

integer | null

locationId is always a REQUIRED field for commercial public and commercial private charge points. It is NOT a required field only for personal charge points.

string

pin is always a REQUIRED field for personal charge points. It is NOT a required field for commercial public and commercial private charge points.

string
enum
Defaults to public
Allowed:
integer | null
0 to 2

The security profile that the backend will try to force the charge point to use for connecting to the backend. Description of the supported security profiles can be found in the security whitepaper available here - https://www.openchargealliance.org/protocols/ocpp-16/

integer | null
integer | null
boolean

For users who have corporate billing with the same Partner as the Partner assigned to the charge point, the default payment method on this charge point will be the respective corporate billing account of the Partner.

string
enum

Applicable only to Commercial Private charge points. Further defines the access type and visibility of the charge point.

Allowed:
capabilities
array of strings
capabilities
Allowed:
boolean
boolean
Defaults to false

When set to true, enables Uptime tracking for the charge point by creating an operational period.
When set to false or omitted, Uptime tracking remains disabled.

Requirements:

  • Charge point must be commercial type (public or private)
  • Operator must have operational availability enabled

Validation Errors:

  • Returns HTTP 422 if charge point is personal type
  • Returns HTTP 422 if operator has operational availability disabled

Examples:

{
  "name": "CP-001",
  "accessType": "public",
  "uptimeTrackingEnabled": true
}

Validation Error Examples:

Personal charge point error:

{
  "message": "The given data was invalid.",
  "errors": {
    "uptimeTrackingEnabled": [
      "Uptime tracking can only be enabled for commercial charge points"
    ]
  }
}

Operator settings error:

{
  "message": "The given data was invalid.",
  "errors": {
    "uptimeTrackingEnabled": [
      "Operator must have operational availability enabled to track uptime"
    ]
  }
}
boolean
Defaults to true

When enabled, issues are created for hardware faults and connectivity problems, and notifications/webhooks are sent. When disabled, no issues are created and no notifications are sent for this charge point.

boolean
Defaults to true

When enabled, the system automatically attempts to recover the charge point when hardware faults are detected (status requests, soft reboots). When disabled, issues are still created (if monitoring is enabled) but no automated recovery actions are taken.

boolean
deprecated

DEPRECATED: Use monitoringEnabled and autoRecoveryEnabled instead. This field continues to work for backward compatibility, setting both new fields to the same value when provided. New integrations should use the new fields for independent control over monitoring and auto-recovery.

tags
array of strings

Tags can be used for filtering and grouping chargers by tag. When doing a PATCH input all tags that should be associated with the charge point. Omitting a tag would remove it from the charge point.

tags
evses
object
string | null

The field should have unique value

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json